{% extends 'base.html' %}

{% block title %} Home {% endblock%}

{% block content %}
<div class="text-center my-4">
    {% if user.is_anonymous == False %}
    <h1 class="mt-3">Welcome {{user.first_name}}!</h1>
    {% endif %}
    {% if todoitem_list and event_list and user.is_anonymous == False %}
    <div class="text-center my-5">
        <div class="container">
            <h3 class="text-center">My Tasks</h3>
            <div class="row">
                <ul class="text-center col-lg-4 offset-lg-4 list-group mb-5">
                    {% for todoitem in todoitem_list %}
                        <li class="list-group-item"><a href = "{% url 'todolist:viewtodoitem' todoitem.id %}" class="text-decoration-none text-black">{{todoitem.task_name}}</a></li>
                    {% endfor%}    
                </ul>
            </div>
        </div>
        <div class="container">
            <h3 class="text-center mt-5">My Events</h3>
            <div class="row">
                <ul class="text-center col-lg-4 offset-lg-4 list-group">
                    {% for event in event_list %}
                        <li class="list-group-item"><a href = "{% url 'todolist:viewevent' event.id %}" class="text-decoration-none text-black">{{event.event_name}}</a></li>
                    {% endfor%}    
                </ul>
            </div>
        </div>
    </div>
        
    {% elif todoitem_list.count == 0 and user.is_anonymous == False %}
    <div class="text-center my-5">
        <h3 class="text-center mb-3">My Tasks</h3>
        <p>No tasks have been created.</p>
    </div>
        {% if event_list.count == 0 %}
        <div class="container">
            <h3 class="text-center mb-3">My Events</h3>
            <p>No events have been created.</p>
        </div>
        {% else %}
        <div class="container">
            <h3 class="text-center mb-3">My Events</h3>
            <div class="row">
                <ul class="text-center col-lg-4 offset-lg-4 list-group">
                    {% for event in event_list %}
                        <li class="list-group-item"><a href = "{% url 'todolist:viewevent' event.id %}" class="text-decoration-none text-black">{{event.event_name}}</a></li>
                    {% endfor%}    
                </ul>
            </div>
        </div>
        {% endif%}
     {% elif event_list.count == 0 and user.is_anonymous == False %}
    <div class="text-center my-5">
        {% if todoitem_list.count == 0 %}
        <h3 class="text-center mb-3">My Tasks</h3>
        <p>No tasks have been created.</p>
        {% else %}
        <div class="container">
            <h3 class="text-center mb-3">My Tasks</h3>
            <div class="row">
                <ul class="text-center col-lg-4 offset-lg-4 list-group">
                    {% for todoitem in todoitem_list %}
                        <li class="list-group-item"><a href = "{% url 'todolist:viewtodoitem' todoitem.id %}" class="text-decoration-none text-black">{{todoitem.task_name}}</a></li>
                    {% endfor%}    
                </ul>
            </div>
        </div>
        {% endif%}
    </div>
    <div class="container text-center">
        <h3 class="text-center mb-3">My Events</h3>
        <p >No events have been created.</p>
    </div>
        
    {%else%}
        <h1 class="text-center my-5">You are not authorized to access this page.</h1>
        <p class="text-center my-5">Kindly login <a href = "{% url 'todolist:login' %}">here</a>.</p>
    {% endif %}
</div>

{% endblock  %}